/*
 * Copyright 2011 korbinianbachl.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.bug.glassfishsessionfail;

import java.util.UUID;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.protocol.https.RequireHttps;

/**
 *
 * @author korbinianbachl
 */
@RequireHttps
public class HomePageSSL extends WebPage{
    
    String id;
    
    public HomePageSSL() {
        
        add(new Label("sessionId", getSession().getId()));
        add(new Label("uuid", id));
        
        
        add(new BookmarkablePageLink("link", HomePage.class));
        
        add(new Link("start") {

            @Override
            public void onClick() {
                id = UUID.randomUUID().toString();
                setResponsePage(HomePageSSL.this);
            }
        });
        
    }
    
    
}
