package org.bug.glassfishsessionfail;

import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.protocol.https.HttpsConfig;
import org.apache.wicket.protocol.https.HttpsRequestCycleProcessor;
import org.apache.wicket.request.IRequestCycleProcessor;

/**
 * Application object for your web application. If you want to run this application without deploying, run the Start class.
 * 
 * @see org.bug.glassfishsessionfail.Start#main(String[])
 */
public class WicketApplication extends WebApplication
{    
    /**
     * Constructor
     */
	public WicketApplication()
	{
	}
	
    @Override
        protected IRequestCycleProcessor newRequestCycleProcessor()
	{
            HttpsConfig conf = new HttpsConfig(8080, 8181);
		return new HttpsRequestCycleProcessor(conf);
	}
        
	/**
	 * @see org.apache.wicket.Application#getHomePage()
	 */
	public Class<HomePage> getHomePage()
	{
		return HomePage.class;
	}
        
    @Override
        public void init() {

        super.init();
        
        mountBookmarkablePage("page", HomePage.class);
        mountBookmarkablePage("pageSSL", HomePageSSL.class);
        
        
        
        }

}
